<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\adminapi\lists\external;


use app\adminapi\lists\BaseAdminDataLists;
use app\common\model\external\ExternalPlatformOrders;
use app\common\lists\ListsSearchInterface;


/**
 * ExternalPlatformOrders列表
 * Class ExternalPlatformOrdersLists
 * @package app\adminapi\lists
 */
class ExternalPlatformOrdersLists extends BaseAdminDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2025/03/23 13:58
     */
    public function setSearch(): array
    {
        return [
            '=' => ['external_platform_id', 'external_goods_id', 'goods_id', 'order_sn', 'work_id', 'work_sn'],

        ];
    }


    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2025/03/23 13:58
     */
    public function lists(): array
    {
        return ExternalPlatformOrders::with(['goods','externalPlatform','serviceWork'])->where($this->searchWhere)
            ->field(['*'])
            ->limit($this->limitOffset, $this->limitLength)
            ->order(['id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2025/03/23 13:58
     */
    public function count(): int
    {
        return ExternalPlatformOrders::where($this->searchWhere)->count();
    }

}